package com.iformall.domain.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.iformall.domain.po.WxOrder;
import com.iformall.domain.po.WxOrderPress;

import java.util.List;

@JsonIgnoreProperties(value = {"handler"})
public class WxOrderCouponPressVo extends WxOrder {

	/** 券ID-产品ID将来的产品都会放在coupon表里**/
	@io.swagger.annotations.ApiModelProperty(value="券包中券ID",name="couponOrderId")
	private Long couponOrderId;
	/** 0: 未使用 1: 已核销 2:已过期 3:已退款**/
	@io.swagger.annotations.ApiModelProperty(value="0: 未使用 1: 已核销 2:已过期 3:已退款",name="couponOrderStatus")
	private Integer couponOrderStatus;

	/**券类型信息 */
	/**商户id**/
	/**券类型(1.满减券,2.代金券,3.团购券,4.礼品券,5.停车券,6.多商户券,8.砍价券,9.团购券,100.消费卡)**/
	@io.swagger.annotations.ApiModelProperty(value="券类型(1.满减券,2.代金券,3.团购券,4.礼品券,5.停车券,6.多商户券,8.砍价券,9.团购券,100.消费卡)",name="couponType")
	private Integer couponType;
	/**封面图**/
	@io.swagger.annotations.ApiModelProperty(value="封面图",name="coverImg")
	private String coverImg;
	/**券名称**/
	@io.swagger.annotations.ApiModelProperty(value="券名称",name="title")
	private String title;
	/**副标题**/
	@io.swagger.annotations.ApiModelProperty(value="副标题",name="subTitle")
	private String subTitle;
	/**售价（适用于类型2，3，4，5）**/
	@io.swagger.annotations.ApiModelProperty(value="售价（适用于类型2，3，4，5）",name="salePrice")
	private Integer salePrice;
	/**使用条件金额（适用于类型1,2,3,4）**/
	@io.swagger.annotations.ApiModelProperty(value="使用条件金额（适用于类型1,2,3,4）",name="usePrice")
	private Integer usePrice;
	/**面额**/
	@io.swagger.annotations.ApiModelProperty(value="面额",name="price")
	private Integer price;
	/**单位**/
	@io.swagger.annotations.ApiModelProperty(value="单位0:钱分，1:小时",name="unit")
	private Integer unit;
	/**须知**/
	@io.swagger.annotations.ApiModelProperty(value="须知",name="detail")
	private String detail;
	/**购买须知**/
	@io.swagger.annotations.ApiModelProperty(value="购买须知",name="remark")
	private String remark;

	/**砍价/团购限制人数**/
	@io.swagger.annotations.ApiModelProperty(value="砍价/团购限制人数",name="pressLimitNum")
	private Integer pressLimitNum;

	/**砍价信息列表*/
	@io.swagger.annotations.ApiModelProperty(value="商户列表",name="orderPressList")
	private List<WxOrderPressVo> orderPressList;

	public Long getCouponOrderId() {
		return couponOrderId;
	}

	public void setCouponOrderId(Long couponOrderId) {
		this.couponOrderId = couponOrderId;
	}

	public Integer getCouponOrderStatus() {
		return couponOrderStatus;
	}

	public void setCouponOrderStatus(Integer couponOrderStatus) {
		this.couponOrderStatus = couponOrderStatus;
	}

	public Integer getCouponType() {
		return couponType;
	}

	public void setCouponType(Integer couponType) {
		this.couponType = couponType;
	}

	public String getCoverImg() {
		return coverImg;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSubTitle() {
		return subTitle;
	}

	public void setSubTitle(String subTitle) {
		this.subTitle = subTitle;
	}

	public Integer getSalePrice() {
		return salePrice;
	}

	public void setSalePrice(Integer salePrice) {
		this.salePrice = salePrice;
	}

	public Integer getUsePrice() {
		return usePrice;
	}

	public void setUsePrice(Integer usePrice) {
		this.usePrice = usePrice;
	}

	public Integer getPrice() {
		return price;
	}

	public void setPrice(Integer price) {
		this.price = price;
	}

	public Integer getUnit() {
		return unit;
	}

	public void setUnit(Integer unit) {
		this.unit = unit;
	}

	@Override
	public String getDetail() {
		return detail;
	}

	@Override
	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getPressLimitNum() {
		return pressLimitNum;
	}

	public void setPressLimitNum(Integer pressLimitNum) {
		this.pressLimitNum = pressLimitNum;
	}

	public List<WxOrderPressVo> getOrderPressList() {
		return orderPressList;
	}

	public void setOrderPressList(List<WxOrderPressVo> orderPressList) {
		this.orderPressList = orderPressList;
	}


}
